const _Http = getApp().globalData.http;
Component({
    properties: {
        disabled: {
            type: Boolean
        }
    },
    data: {
        list: [],
        sat_orderclueid: "",
        content: {
            "nacache": true,
            "pageNumber": 1,
            "pageSize": 10,
            "pageTotal": 1,
            "total": null,
            "where": {
                "condition": "",
            }
        },
    },
    lifetimes: {
        attached: function () {
            getApp().globalData.Language.getLanguagePackage(this)
        }
    },
    methods: {
        getList(id, init) {
            let content = this.data.content;
            content.sat_orderclueid = id;
            if (init) {
                content.pageNumber = 1
                content.pageTotal = 1
            }
            _Http.basic({
                "id": "20230811165204",
                content
            }).then(res => {
                console.log("线索来源列表", res)
                if (res.code != '1') return wx.showToast({
                    title: res.data,
                    icon: "none"
                })
                this.setData({
                    list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                    "content.pageNumber": res.pageNumber + 1,
                    "content.pageSize": res.pageSize,
                    "content.pageTotal": res.pageTotal,
                    "content.total": res.total,
                    sat_orderclueid: id
                })
                // this.getTags()
            })
        },
        /* 获取列表标签 */
        getTags() {
            let list = this.data.list,
                ownerids = list.map(v => v.sat_orderclueid);
            _Http.basic({
                "id": 20221018102001,
                "content": {
                    nocache: true,
                    "ownertable": "sat_orderclue",
                    ownerids
                }
            }).then(res => {
                console.log("标签", res)
                for (let key in res.data) {
                    let index = list.findIndex(v => v.sat_orderclueid == key);
                    list[index].tags = res.data[key]
                };
                this.setData({
                    list
                })
            })
        },
        /* 修改总数 */
        changeTotal() {
            this.setData({
                "content.total": this.data.content.total - 1
            })
        },
        toAdd(e) {
            let data = getCurrentPages()[getCurrentPages().length - 1].data.detail;
            wx.navigateTo({
                url: '/packageA/saleClue/addClue?rowData=' + JSON.stringify({
                    enterprisename: data.enterprisename || "",
                    city: data.city || "",
                    county: data.county || "",
                    province: data.province || "",
                    address: data.address || "",
                    cluesource: "客户:" + data.enterprisename || "",
                    sa_customersid: data.sa_customersid
                }),
            });
        }
    }
})